package org.ajax4jsf.template;

/**
 * Kids of templates that can be put in harness.
 * @author carcasser
 *
 */
public enum Template implements TestConstants {
    SIMPLE (SIMPLE_TEMPLATE_NAME, COMPONENT_PREFIX_SIMPLE, SIMPLE_TEMPLATE_DESC),
    DATA_TABLE (DATA_TABLE_TEMPLATE_NAME, COMPONENT_PREFIX_INSIDE_TABLE, DATA_TABLE_TEMPLATE_DESC),
    MODAL_PANEL (MODAL_PANEL_TEMPLATE_NAME, COMPONENT_PREFIX_SIMPLE, MODAL_PANEL_TEMPLATE_DESC);

    private String name;

    private String prefix;

    private String desc;

    /**
     * Private constructor.
     * 
     * @param name
     * @param prefix
     */
    private Template(String name, String prefix, String desc) {
        this.name = name;
        this.prefix = prefix;
        this.desc = desc;
    }

    /**
     * Gets value of name field.
     * @return value of name field
     */
    public String getName() {
        return name;
    }

    /**
     * Gets value of prefix field.
     * @return value of prefix field
     */
    public String getPrefix() {
        return prefix;
    }

    /**
     * Gets value of desc field.
     * @return value of desc field
     */
    public String getDesc() {
        return desc;
    }

}
